#ifndef __bsp_esb_h__
#define __bsp_esb_h__
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

uint32_t ESB_Init(void);
//void ESB_SendStr(char *p);//发送字符串
void ESB_SendBuff(unsigned char *p,int L);//发送缓存
//void ESB_SendChar(unsigned char ch);//发送一位数锯
void ESB_Discard(unsigned short n); //丢弃RX数据几位  
unsigned char ESB_CheckByte(unsigned short n); //看RX中数锯,地指不变, 
unsigned char ESB_ReadByte(void);   //读RX中数锯,地指加一,和丢弃
unsigned int ESB_CheckLen(void); //检查RX接收了多少数据
void ESB_Test(void);

#endif
